
From: Manfred Spraul <manfred@colorfullife.com>

Belongs to the leak detection patch: Just warning fixups.  Causes warnings
if it's used without the leak detection patch.

Signed-of-by: Manfred Spraul <manfred@colorfulife.com>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/slab.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

diff -puN mm/slab.c~slab-leak-detector-warning-fixes mm/slab.c
--- 25/mm/slab.c~slab-leak-detector-warning-fixes	2005-03-30 18:02:30.000000000 -0800
+++ 25-akpm/mm/slab.c	2005-03-30 18:02:30.000000000 -0800
@@ -1981,7 +1981,7 @@ bad:
 				cachep->name, cachep->num, slabp, slabp->inuse);
 		for (i=0;i<sizeof(slabp)+cachep->num*sizeof(kmem_bufctl_t);i++) {
 			if ((i%16)==0)
-				printk("\n%03x:", i);
+				printk("\n%03lx:", i);
 			printk(" %02x", ((unsigned char*)slabp)[i]);
 		}
 		printk("\n");
@@ -2647,9 +2647,10 @@ static void check_slabuse(kmem_cache_t *
 		if ((red1 == RED_INACTIVE || red1 == RED_ACTIVE) &&
 				(red2 == RED_INACTIVE || red2 == RED_ACTIVE))
 			continue;
-
-		printk(KERN_ERR "slab %s: redzone mismatch in slabp %p, objp %p, bufctl 0x%x\n",
-				cachep->name, slabp, objp, slab_bufctl(slabp)[i]);
+		printk(KERN_ERR "slab %s: redzone mismatch in slabp %p, "
+					"objp %p, bufctl 0x%lx\n",
+				cachep->name, slabp,
+				objp, slab_bufctl(slabp)[i]);
 		print_objinfo(cachep, objp, 2);
 	}
 }
_
